- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IActiveControl
IBindable
ICache
ICacheDependency
ICallbackEventHandler
IDataRenderer
IModule
IRenderable
IService
IStatePersister
IStyleable
ITextWriter
IUser
Prado
PradoBase
TApplication
TApplicationComponent
TApplicationConfiguration
TApplicationMode
TApplicationStatePersister
TComponent
TComponentReflection
TDraggableConstraint
TDropContainerEventParameter
TEnumerable
TEventParameter
TModule
TPropertyValue
TReflectionClass
TService
TShellApplication

Keyword

# Class TApplicationStatePersister

    TComponent
       |
       --TApplicationComponent
          |
          --TModule
             |
             --TApplicationStatePersister

TApplicationStatePersister class.

TApplicationStatePersister provides a file-based persistent storage for application state. Application state, when serialized, is stored in a file named 'global.cache' under the 'runtime' directory of the application. Cache will be exploited if it is enabled.

Since: 3.0
Author: Qiang Xue <qiang.xue@gmail.com>

Method Summary
protected string | getStateFilePath ()
void | init ( TXmlElement $config) Initializes module.
mixed | load () Loads application state from persistent storage.
void | save ( mixed $state) Saves application state in persistent storage.

Methods Inherited From TModule
TModule::getID(), TModule::init(), TModule::setID()

Methods Inherited From TApplicationComponent
TApplicationComponent::getApplication(), TApplicationComponent::getRequest(), TApplicationComponent::getResponse(), TApplicationComponent::getService(), TApplicationComponent::getSession(), TApplicationComponent::getUser(), TApplicationComponent::publishAsset(), TApplicationComponent::publishFilePath()

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Constant Summary
string | CACHE_NAME | Name of the value stored in cache

Method Details

## getStateFilePath

protected string getStateFilePath | ()

Output
string | the file path storing the application state
Exception

## init

public void init | (TXmlElement $config )

Initializes module.

Input
TXmlElement | $config | module configuration (may be null)
Output
Exception

## load

public mixed load | ()

Loads application state from persistent storage.

Output
mixed | application state
Exception

## save

public void save | (mixed $state )

Saves application state in persistent storage.

Input
mixed | $state | application state
Output
Exception

Constant Details

### CACHE_NAME

Name of the value stored in cache

#### Type:

string

#### Value:

'prado:appstate'